
QGIS Application - Bug report #21230

QGIS master crash when using spatial indices

2019-02-11 03:27 PM - Pedro Venâncio

Status: Closed

Priority: High

Assignee:

Category: Windows Package

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 29048

Description

To reproduce:

1. Load a point layer (postgis, shp, ...)

2. Properties -> Symbology

3. Point Displacement OR Point Cluster

4. Apply

5. QGIS Crashed

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: 29d4496452

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

This does not happened in code revision daab33c4d7 (3.5.0-84 in OSGeo4W).

In 3.4.4 this also does not happen.

History

#1 - 2019-02-11 06:00 PM - Giovanni Manghi

Confirmed here, only master.

#2 - 2019-02-12 01:13 AM - Nyall Dawson

no crash here - can you post data to reproduce?

#3 - 2019-02-12 01:13 AM - Nyall Dawson
- Status changed from Open to Feedback

#4 - 2019-02-12 05:15 AM - Nyall Dawson

- Category changed from Symbology to Windows Package

- Status changed from Feedback to Open

- Subject changed from QGIS master crash with Point Displacement or Point Cluster Symbology to QGIS master crash when using spatial indices

Actually the issue is ANYTHING which uses a spatial index -- snapping/vertex tool is also affected.

This is likely a consequence of the recent upgrade to libspatialindex 1.9

#5 - 2019-02-12 10:22 AM - Pedro Venâncio

- File sample.zip added

Nyall Dawson wrote:

This is likely a consequence of the recent upgrade to libspatialindex 1.9

Hi Nyall,

I was checking OSGeo4W and it is still using libspatialindex 1.8.5-1.

And being a problem with libspatialindex package, should not also affect 3.4.4?

I see that after start editing the point layer, with Add feature tool, Vertex tool, Move feature, just moving the cursor over canvas, QGIS shows an Exception

window with "unknown exception" message.

I attach a sample dataset.

#6 - 2019-02-12 11:52 AM - Giovanni Manghi

I see that after start editing the point layer, with Add feature tool, Vertex tool, Move feature, just moving the cursor over canvas, QGIS shows an

Exception window with "unknown exception" message.

I filed #21237 yesterday about this issue.

#7 - 2019-02-13 07:52 PM - Pedro Venâncio

- Status changed from Open to Closed

It is fixed now!

Thanks!

#8 - 2019-02-13 07:54 PM - Giovanni Manghi
- Resolution set to fixed/implemented

Files

sample.zip 1.95 KB 2019-02-12 Pedro Venâncio
